---
metadata:
  - name: generator
    content: Diplodoc Platform v5.54.2
alternate:
  - https://sourcecraft.dev/portal/docs/en/api-ref/Withdrawn/RunWorkflowsDeprecated.md
  - https://sourcecraft.dev/portal/docs/ru/api-ref/Withdrawn/RunWorkflowsDeprecated.md
  - href: ru/api-ref/Withdrawn/RunWorkflowsDeprecated.md
    type: text/markdown
    title: Markdown version
  - href: ../../llms.txt
    type: text/markdown
    title: llms.txt
---
> **Documentation Index:** Fetch the complete configuration index at https://sourcecraft.dev/portal/docs/ru/llms.txt

<div class="openapi">

# Run Workflows in Repository

<!-- markdownlint-disable-file -->

[Deprecated](*Deprecated){.openapi-deprecated}

Endpoint is deprecated, please use `POST /repos/{org_slug}/{repo_slug}/cicd/runs` instead

## Request

<div class="openapi__requests">

<div class="openapi__request__wrapper" style="--method: var(--dc-openapi-methods-post);margin-bottom: 12px">

<div class="openapi__request">

POST {.openapi__method}
```text translate=no
https://api.sourcecraft.tech/{org_slug}/{repo_slug}/cicd/runs
```

</div>

</div>

</div>

### Path parameters

#|
|| **Name** | **Description** ||
||

_org_slug_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
||

_repo_slug_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
|#{.json-schema-properties}

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "head": {
    "branch": "example",
    "tag": "example",
    "commit": "example"
  },
  "config_revision": null,
  "workflows": [
    {
      "name": "example",
      "values": [
        {
          "name": "example",
          "value": "example"
        }
      ]
    }
  ],
  "shared": true
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_config_revision_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [GitRevision](#entity-GitRevision)

Exactly one of the fields must be provided

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "branch": "example",
  "tag": "example",
  "commit": "example"
}
```

{% endcut %}
{.table-cell}
||
||

_head_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [GitRevision](#entity-GitRevision)

Exactly one of the fields must be provided

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "branch": "example",
  "tag": "example",
  "commit": "example"
}
```

{% endcut %}
{.table-cell}
||
||

_shared_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: boolean
{.table-cell}
||
||

_workflows_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [WorkflowData](#entity-WorkflowData)[]

Information specifying which workflows to run.
Each workflow to run is defined by its name and, optionally, input parameters.

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {
    "name": "example",
    "values": [
      {
        "name": "example",
        "value": "example"
      }
    ]
  }
]
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

</div>

<div class="openapi-entity">

### GitRevision {#entity-GitRevision}

Exactly one of the fields must be provided

#|
|| **Name** | **Description** ||
||

_branch_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_commit_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_tag_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "branch": "example",
  "tag": "example",
  "commit": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### InputValue {#entity-InputValue}

#|
|| **Name** | **Description** ||
||

_name_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_value_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "name": "example",
  "value": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### WorkflowData {#entity-WorkflowData}

#|
|| **Name** | **Description** ||
||

_name_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

The name of a workflow to run as defined in the config.

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_values_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [InputValue](#entity-InputValue)[]

List of input parameters (name, value pairs) to pass to the workflow.

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {
    "name": "example",
    "value": "example"
  }
]
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "name": "example",
  "values": [
    {
      "name": "example",
      "value": "example"
    }
  ]
}
```

{% endcut %}

</div>

## Responses

<div class="openapi__response__code__200">

## 200 OK

A successful response.

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "id": "example",
  "slug": "example",
  "dates": {
    "created_at": "2025-01-01T00:00:00Z",
    "started_at": "2025-01-01T00:00:00Z",
    "finished_at": "2025-01-01T00:00:00Z",
    "updated_at": "2025-01-01T00:00:00Z"
  },
  "status": "created",
  "workflows": [
    {
      "id": "example",
      "slug": "example",
      "description": "example",
      "dates": null,
      "status": null,
      "tasks": [
        {
          "id": "example",
          "slug": "example",
          "description": "example",
          "dates": null,
          "status": null,
          "cubes": [
            null
          ],
          "progress": {},
          "relations": {}
        }
      ],
      "progress": null
    }
  ],
  "event_type": "push",
  "error_messages": [
    "example"
  ],
  "pull": {
    "id": "example",
    "slug": "example"
  },
  "user": {
    "id": "example",
    "slug": "example"
  }
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_dates_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [DatesByStage](#entity-DatesByStage)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "created_at": "2025-01-01T00:00:00Z",
  "started_at": "2025-01-01T00:00:00Z",
  "finished_at": "2025-01-01T00:00:00Z",
  "updated_at": "2025-01-01T00:00:00Z"
}
```

{% endcut %}
{.table-cell}
||
||

_error_messages_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string[]

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  "example"
]
```

{% endcut %}
{.table-cell}
||
||

_event_type_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [EventType](#entity-EventType)

_Enum:_{.json-schema-reset .json-schema-value} `push`, `pr_update`, `manual`, `restart`, `schedule`
{.table-cell}
||
||

_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_pull_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [PullRequestEmbedded](#entity-PullRequestEmbedded)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "example",
  "slug": "example"
}
```

{% endcut %}
{.table-cell}
||
||

_slug_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_status_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [Run.Status](#entity-Run.Status)

 - prepared: Status `prepared` may only appear as a Run status.
It's a stage between creation and startup during which the Run is populated with workflows.

_Enum:_{.json-schema-reset .json-schema-value} `created`, `prepared`, `processing`, `success`, `failed`, `canceled`, `timeout`, `skipped`, `awaiting_approval`
{.table-cell}
||
||

_user_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [UserEmbedded](#entity-UserEmbedded)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "example",
  "slug": "example"
}
```

{% endcut %}
{.table-cell}
||
||

_workflows_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [Workflow](#entity-Workflow)[]

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {
    "id": "example",
    "slug": "example",
    "description": "example",
    "dates": {
      "created_at": "2025-01-01T00:00:00Z",
      "started_at": "2025-01-01T00:00:00Z",
      "finished_at": "2025-01-01T00:00:00Z",
      "updated_at": "2025-01-01T00:00:00Z"
    },
    "status": "created",
    "tasks": [
      {
        "id": "example",
        "slug": "example",
        "description": "example",
        "dates": null,
        "status": null,
        "cubes": [
          {}
        ],
        "progress": {
          "percent": 0.5,
          "current_cube": null
        },
        "relations": {
          "needs": [
            null
          ]
        }
      }
    ],
    "progress": null
  }
]
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

</div>

<div class="openapi-entity">

### DatesByStage {#entity-DatesByStage}

#|
|| **Name** | **Description** ||
||

_created_at_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string&lt;date-time&gt;

_Example:_{.json-schema-reset .json-schema-example} `2025-01-01T00:00:00Z`
{.table-cell}
||
||

_finished_at_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string&lt;date-time&gt;

_Example:_{.json-schema-reset .json-schema-example} `2025-01-01T00:00:00Z`
{.table-cell}
||
||

_started_at_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string&lt;date-time&gt;

_Example:_{.json-schema-reset .json-schema-example} `2025-01-01T00:00:00Z`
{.table-cell}
||
||

_updated_at_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string&lt;date-time&gt;

_Example:_{.json-schema-reset .json-schema-example} `2025-01-01T00:00:00Z`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "created_at": "2025-01-01T00:00:00Z",
  "started_at": "2025-01-01T00:00:00Z",
  "finished_at": "2025-01-01T00:00:00Z",
  "updated_at": "2025-01-01T00:00:00Z"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### Run.Status {#entity-Run.Status}

 - prepared: Status `prepared` may only appear as a Run status.
It's a stage between creation and startup during which the Run is populated with workflows.

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `created`, `prepared`, `processing`, `success`, `failed`, `canceled`, `timeout`, `skipped`, `awaiting_approval`

</div>

<div class="openapi-entity">

### ArtifactDates {#entity-ArtifactDates}

#|
|| **Name** | **Description** ||
||

_obtained_at_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string&lt;date-time&gt;

_Example:_{.json-schema-reset .json-schema-example} `2025-01-01T00:00:00Z`
{.table-cell}
||
||

_registered_at_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string&lt;date-time&gt;

_Example:_{.json-schema-reset .json-schema-example} `2025-01-01T00:00:00Z`
{.table-cell}
||
||

_updated_at_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string&lt;date-time&gt;

_Example:_{.json-schema-reset .json-schema-example} `2025-01-01T00:00:00Z`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "registered_at": "2025-01-01T00:00:00Z",
  "obtained_at": "2025-01-01T00:00:00Z",
  "updated_at": "2025-01-01T00:00:00Z"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### ArtifactStatus {#entity-ArtifactStatus}

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `registered`, `success`, `failed`, `missing`

</div>

<div class="openapi-entity">

### Artifact {#entity-Artifact}

#|
|| **Name** | **Description** ||
||

_dates_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [ArtifactDates](#entity-ArtifactDates)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "registered_at": "2025-01-01T00:00:00Z",
  "obtained_at": "2025-01-01T00:00:00Z",
  "updated_at": "2025-01-01T00:00:00Z"
}
```

{% endcut %}
{.table-cell}
||
||

_download_url_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

A temporary download URL, will be valid for a short period of time after acquisition.

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_local_path_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Artifacts do not have a slug as we define it.
Instead they are differentiated by context (workflow, task, cube) and `local_path`.
This is a local path for the artifact as defined in the CI configuration file.

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_status_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [ArtifactStatus](#entity-ArtifactStatus)

_Enum:_{.json-schema-reset .json-schema-value} `registered`, `success`, `failed`, `missing`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "example",
  "local_path": "example",
  "dates": {
    "registered_at": "2025-01-01T00:00:00Z",
    "obtained_at": "2025-01-01T00:00:00Z",
    "updated_at": "2025-01-01T00:00:00Z"
  },
  "status": "registered",
  "download_url": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### Dependency {#entity-Dependency}

#|
|| **Name** | **Description** ||
||

_name_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "name": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### Relations {#entity-Relations}

#|
|| **Name** | **Description** ||
||

_needs_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [Dependency](#entity-Dependency)[]

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {
    "name": "example"
  }
]
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "needs": [
    {
      "name": "example"
    }
  ]
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### Cube {#entity-Cube}

#|
|| **Name** | **Description** ||
||

_artifacts_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [Artifact](#entity-Artifact)[]

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {
    "id": "example",
    "local_path": "example",
    "dates": {
      "registered_at": "2025-01-01T00:00:00Z",
      "obtained_at": "2025-01-01T00:00:00Z",
      "updated_at": "2025-01-01T00:00:00Z"
    },
    "status": "registered",
    "download_url": "example"
  }
]
```

{% endcut %}
{.table-cell}
||
||

_dates_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [DatesByStage](#entity-DatesByStage)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "created_at": "2025-01-01T00:00:00Z",
  "started_at": "2025-01-01T00:00:00Z",
  "finished_at": "2025-01-01T00:00:00Z",
  "updated_at": "2025-01-01T00:00:00Z"
}
```

{% endcut %}
{.table-cell}
||
||

_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_relations_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [Relations](#entity-Relations)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "needs": [
    {
      "name": "example"
    }
  ]
}
```

{% endcut %}
{.table-cell}
||
||

_slug_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_status_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [Run.Status](#entity-Run.Status)

 - prepared: Status `prepared` may only appear as a Run status.
It's a stage between creation and startup during which the Run is populated with workflows.

_Enum:_{.json-schema-reset .json-schema-value} `created`, `prepared`, `processing`, `success`, `failed`, `canceled`, `timeout`, `skipped`, `awaiting_approval`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "example",
  "slug": "example",
  "dates": {
    "created_at": "2025-01-01T00:00:00Z",
    "started_at": "2025-01-01T00:00:00Z",
    "finished_at": "2025-01-01T00:00:00Z",
    "updated_at": "2025-01-01T00:00:00Z"
  },
  "status": "created",
  "artifacts": [
    {
      "id": "example",
      "local_path": "example",
      "dates": {
        "registered_at": "2025-01-01T00:00:00Z",
        "obtained_at": "2025-01-01T00:00:00Z",
        "updated_at": "2025-01-01T00:00:00Z"
      },
      "status": "registered",
      "download_url": "example"
    }
  ],
  "relations": {
    "needs": [
      {
        "name": "example"
      }
    ]
  }
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### Progress {#entity-Progress}

#|
|| **Name** | **Description** ||
||

_current_cube_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [Cube](#entity-Cube)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "example",
  "slug": "example",
  "dates": {
    "created_at": "2025-01-01T00:00:00Z",
    "started_at": "2025-01-01T00:00:00Z",
    "finished_at": "2025-01-01T00:00:00Z",
    "updated_at": "2025-01-01T00:00:00Z"
  },
  "status": "created",
  "artifacts": [
    {
      "id": "example",
      "local_path": "example",
      "dates": {
        "registered_at": "2025-01-01T00:00:00Z",
        "obtained_at": "2025-01-01T00:00:00Z",
        "updated_at": "2025-01-01T00:00:00Z"
      },
      "status": "registered",
      "download_url": "example"
    }
  ],
  "relations": {
    "needs": [
      {
        "name": "example"
      }
    ]
  }
}
```

{% endcut %}
{.table-cell}
||
||

_percent_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: number
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "percent": 0.5,
  "current_cube": {
    "id": "example",
    "slug": "example",
    "dates": {
      "created_at": "2025-01-01T00:00:00Z",
      "started_at": "2025-01-01T00:00:00Z",
      "finished_at": "2025-01-01T00:00:00Z",
      "updated_at": "2025-01-01T00:00:00Z"
    },
    "status": "created",
    "artifacts": [
      {
        "id": "example",
        "local_path": "example",
        "dates": {
          "registered_at": "2025-01-01T00:00:00Z",
          "obtained_at": "2025-01-01T00:00:00Z",
          "updated_at": "2025-01-01T00:00:00Z"
        },
        "status": "registered",
        "download_url": "example"
      }
    ],
    "relations": {
      "needs": [
        {
          "name": "example"
        }
      ]
    }
  }
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### Task {#entity-Task}

#|
|| **Name** | **Description** ||
||

_cubes_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [Cube](#entity-Cube)[]

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {
    "id": "example",
    "slug": "example",
    "dates": {
      "created_at": "2025-01-01T00:00:00Z",
      "started_at": "2025-01-01T00:00:00Z",
      "finished_at": "2025-01-01T00:00:00Z",
      "updated_at": "2025-01-01T00:00:00Z"
    },
    "status": "created",
    "artifacts": [
      {
        "id": "example",
        "local_path": "example",
        "dates": {
          "registered_at": "2025-01-01T00:00:00Z",
          "obtained_at": "2025-01-01T00:00:00Z",
          "updated_at": "2025-01-01T00:00:00Z"
        },
        "status": "registered",
        "download_url": "example"
      }
    ],
    "relations": {
      "needs": [
        {
          "name": "example"
        }
      ]
    }
  }
]
```

{% endcut %}
{.table-cell}
||
||

_dates_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [DatesByStage](#entity-DatesByStage)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "created_at": "2025-01-01T00:00:00Z",
  "started_at": "2025-01-01T00:00:00Z",
  "finished_at": "2025-01-01T00:00:00Z",
  "updated_at": "2025-01-01T00:00:00Z"
}
```

{% endcut %}
{.table-cell}
||
||

_description_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_progress_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [Progress](#entity-Progress)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "percent": 0.5,
  "current_cube": {
    "id": "example",
    "slug": "example",
    "dates": {
      "created_at": "2025-01-01T00:00:00Z",
      "started_at": "2025-01-01T00:00:00Z",
      "finished_at": "2025-01-01T00:00:00Z",
      "updated_at": "2025-01-01T00:00:00Z"
    },
    "status": "created",
    "artifacts": [
      {
        "id": "example",
        "local_path": "example",
        "dates": {
          "registered_at": "2025-01-01T00:00:00Z",
          "obtained_at": "2025-01-01T00:00:00Z",
          "updated_at": "2025-01-01T00:00:00Z"
        },
        "status": "registered",
        "download_url": "example"
      }
    ],
    "relations": {
      "needs": [
        {
          "name": "example"
        }
      ]
    }
  }
}
```

{% endcut %}
{.table-cell}
||
||

_relations_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [Relations](#entity-Relations)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "needs": [
    {
      "name": "example"
    }
  ]
}
```

{% endcut %}
{.table-cell}
||
||

_slug_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_status_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [Run.Status](#entity-Run.Status)

 - prepared: Status `prepared` may only appear as a Run status.
It's a stage between creation and startup during which the Run is populated with workflows.

_Enum:_{.json-schema-reset .json-schema-value} `created`, `prepared`, `processing`, `success`, `failed`, `canceled`, `timeout`, `skipped`, `awaiting_approval`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "example",
  "slug": "example",
  "description": "example",
  "dates": {
    "created_at": "2025-01-01T00:00:00Z",
    "started_at": "2025-01-01T00:00:00Z",
    "finished_at": "2025-01-01T00:00:00Z",
    "updated_at": "2025-01-01T00:00:00Z"
  },
  "status": "created",
  "cubes": [
    {
      "id": "example",
      "slug": "example",
      "dates": null,
      "status": null,
      "artifacts": [
        {
          "id": "example",
          "local_path": "example",
          "dates": {},
          "status": "registered",
          "download_url": "example"
        }
      ],
      "relations": {
        "needs": [
          {}
        ]
      }
    }
  ],
  "progress": {
    "percent": 0.5,
    "current_cube": null
  },
  "relations": null
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### Workflow {#entity-Workflow}

#|
|| **Name** | **Description** ||
||

_dates_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [DatesByStage](#entity-DatesByStage)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "created_at": "2025-01-01T00:00:00Z",
  "started_at": "2025-01-01T00:00:00Z",
  "finished_at": "2025-01-01T00:00:00Z",
  "updated_at": "2025-01-01T00:00:00Z"
}
```

{% endcut %}
{.table-cell}
||
||

_description_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_progress_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [Progress](#entity-Progress)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "percent": 0.5,
  "current_cube": {
    "id": "example",
    "slug": "example",
    "dates": {
      "created_at": "2025-01-01T00:00:00Z",
      "started_at": "2025-01-01T00:00:00Z",
      "finished_at": "2025-01-01T00:00:00Z",
      "updated_at": "2025-01-01T00:00:00Z"
    },
    "status": "created",
    "artifacts": [
      {
        "id": "example",
        "local_path": "example",
        "dates": {
          "registered_at": "2025-01-01T00:00:00Z",
          "obtained_at": "2025-01-01T00:00:00Z",
          "updated_at": "2025-01-01T00:00:00Z"
        },
        "status": "registered",
        "download_url": "example"
      }
    ],
    "relations": {
      "needs": [
        {
          "name": "example"
        }
      ]
    }
  }
}
```

{% endcut %}
{.table-cell}
||
||

_slug_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_status_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [Run.Status](#entity-Run.Status)

 - prepared: Status `prepared` may only appear as a Run status.
It's a stage between creation and startup during which the Run is populated with workflows.

_Enum:_{.json-schema-reset .json-schema-value} `created`, `prepared`, `processing`, `success`, `failed`, `canceled`, `timeout`, `skipped`, `awaiting_approval`
{.table-cell}
||
||

_tasks_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [Task](#entity-Task)[]

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
[
  {
    "id": "example",
    "slug": "example",
    "description": "example",
    "dates": {
      "created_at": "2025-01-01T00:00:00Z",
      "started_at": "2025-01-01T00:00:00Z",
      "finished_at": "2025-01-01T00:00:00Z",
      "updated_at": "2025-01-01T00:00:00Z"
    },
    "status": "created",
    "cubes": [
      {
        "id": "example",
        "slug": "example",
        "dates": null,
        "status": null,
        "artifacts": [
          {}
        ],
        "relations": {
          "needs": [
            null
          ]
        }
      }
    ],
    "progress": {
      "percent": 0.5,
      "current_cube": null
    },
    "relations": null
  }
]
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "example",
  "slug": "example",
  "description": "example",
  "dates": {
    "created_at": "2025-01-01T00:00:00Z",
    "started_at": "2025-01-01T00:00:00Z",
    "finished_at": "2025-01-01T00:00:00Z",
    "updated_at": "2025-01-01T00:00:00Z"
  },
  "status": "created",
  "tasks": [
    {
      "id": "example",
      "slug": "example",
      "description": "example",
      "dates": null,
      "status": null,
      "cubes": [
        {
          "id": "example",
          "slug": "example",
          "dates": null,
          "status": null,
          "artifacts": [
            null
          ],
          "relations": {}
        }
      ],
      "progress": {
        "percent": 0.5,
        "current_cube": null
      },
      "relations": null
    }
  ],
  "progress": null
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### EventType {#entity-EventType}

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `push`, `pr_update`, `manual`, `restart`, `schedule`

</div>

<div class="openapi-entity">

### PullRequestEmbedded {#entity-PullRequestEmbedded}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_slug_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": "example",
  "slug": "example"
}
```

{% endcut %}

</div>

</div>

<div class="openapi__response__code__default">

## default

Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "error_code": "example",
  "message": "example",
  "request_id": "example",
  "details": null
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_details_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: unknown

_Example:_{.json-schema-reset .json-schema-example} `null`
{.table-cell}
||
||

_error_code_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_message_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_request_id_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

</div>

</div>

</div>

[*Deprecated]: No longer supported, please use an alternative and newer version.